public class Book {
    private String bookId = null;
    private String title = null;
    private String firstName = null;
    private String surname = null;
    private float price = 0.0F;
    private int onSale = 0;
    private int year = 0;
    private String description = null;
    private int inventory = 0;

    public Book() {

    }
    
    public Book(String bookId, String surname, String firstName, String title, 
                       float price, int onSale, int year, String description, int inventory) {
        this.bookId = bookId;
        this.title = title;
        this.firstName =  firstName;
        this.surname = surname;
        this.price = price;
        this.onSale = onSale;
        this.year = year;
        this.description = description;
        this.inventory = inventory;
    }

    public String getBookId() {
        return this.bookId;
    }
    public String getTitle() {
        return this.title;
    }    
    public String getFirstName() {
        return this.firstName;
    }
    public String getSurname() {
        return this.surname;
    }
    public float getPrice() {
       return this.price;
    }
    public int getOnSale() {
       return this.onSale;
    }
    public int getYear() {
        return this.year;
    }
    public String getDescription() {
        return this.description;
    }
    public int getInventory() {
        return this.inventory;
    }
    public void setBookId(String id) {
        this.bookId=id;
    }
    public void setTitle(String title) {
        this.title=title;
    }
    public void setFirstName(String firstName) {
        this.firstName=firstName;
    }
    public void setSurname(String surname) {
        this.surname=surname;
    }
    public void setPrice(float price) {
       this.price = price;
    }
    public void setOnSale(int onSale) {
       this.onSale = onSale;
    }
    public void setYear(int year) {
        this.year = year;
    }   
    public void setDescription(String description) {
        this.description=description;
    }   
    public void setInventory(int inventory) {
        this.inventory=inventory;
    }
		
		public String toString() {
			return "'"+getTitle()+"' by "+getFirstName()+" "+getSurname();
		}	
}

